Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.emf.ecp.ui.e4.handlers
Class DeleteModelElementHandler

    java.lang.Object
      org.eclipse.emf.ecp.ui.e4.handlers.DeleteModelElementHandler

    public class DeleteModelElementHandler

extends Object

Handler to delete selected `EObject`.

Author:
  Jonas

Constructor Summary
`DeleteModelElementHandler()`

Method Summary
`boolean` | `canExecute(org.eclipse.emf.ecore.EObject eObject, List<org.eclipse.emf.ecore.EObject> eObjects)` Checks if one EObject or a list of EObjects are selected.
`void` | `execute(org.eclipse.emf.ecore.EObject eObject, List<org.eclipse.emf.ecore.EObject> eObjects)` Deletes a single `EObject` or a list of `EObject`.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeleteModelElementHandler

    public DeleteModelElementHandler()

Method Detail

### execute

    @Execute
    public void execute(@Named(value="org.eclipse.ui.selection")@Optional
                                org.eclipse.emf.ecore.EObject eObject,
                                @Named(value="org.eclipse.ui.selection")@Optional
                                List<org.eclipse.emf.ecore.EObject> eObjects)

  Deletes a single `EObject` or a list of `EObject`.

  Parameters:
    `eObject` - the eobject to be deleted or null, if several eobjects are to be deleted.
    `eObjects` - A List of EObjects to be deleted or null, if only one `EObject` should be deleted.

### canExecute

    @CanExecute
    public boolean canExecute(@Named(value="org.eclipse.ui.selection")@Optional
                                         org.eclipse.emf.ecore.EObject eObject,
                                         @Named(value="org.eclipse.ui.selection")@Optional
                                         List<org.eclipse.emf.ecore.EObject> eObjects)

  Checks if one EObject or a list of EObjects are selected.

  Parameters:
    `eObject` - the selected eobject or null, if several or none eobjects are selected.
    `eObjects` - the list of selected eobjects or null, if one or none eobjects are selected.
  Returns:
    true if one EObject or a list of EObjects are selected.

Overview | Package | Class | Use | Tree | Deprecated | Index
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2015. All Rights Reserved.